<?php

class FrmGetResponseHooksController {

	public static function load_hooks() {
		add_action( 'frm_entry_form', 'FrmGetResponseAppController::hidden_form_fields', 10, 2 );

		// 2.0 hooks
		add_action( 'frm_trigger_getresponse_action', 'FrmGetResponseAppController::trigger_getresponse', 10, 3 );
		add_action( 'frm_registered_form_actions', 'FrmGetResponseSettingsController::register_actions' );

		self::load_admin_hooks();
	}

	public static function load_admin_hooks() {
		if ( ! is_admin() ) {
			return;
		}

		add_action( 'admin_init', 'FrmGetResponseAppController::include_updater' );
		add_action( 'admin_enqueue_scripts', 'FrmGetResponseHooksController::add_scripts' );
		add_action( 'after_plugin_row_formidable-getresponse/formidable-getresponse.php', 'FrmGetResponseAppController::min_version_notice' );

		add_action( 'frm_add_settings_section', 'FrmGetResponseSettingsController::add_settings_section' );
		add_action( 'wp_ajax_frm_getresponse_match_fields', 'FrmGetResponseSettingsController::match_fields' );

	}

	public static function add_scripts() {
		if ( self::is_form_settings_page() ) {
			$url = FrmGetResponseAppController::plugin_url();
			wp_enqueue_style( 'frmgetresponse', $url . '/css/frmgetresponse.css', array(), '1' );
		}

	}

	private static function is_form_settings_page() {
		$is_form_settings_page = false;
		$page = FrmAppHelper::simple_get( 'page', 'sanitize_title' );
		$action = FrmAppHelper::simple_get( 'frm_action', 'sanitize_title' );
		if ( 'formidable' === $page && 'settings' === $action ) {
			$is_form_settings_page = true;
		}
		return $is_form_settings_page;
	}

}
